#ifndef NIM_GAME_H
#define NIM_GAME_H

#include "Player.hpp"
#include "Nim.hpp"

class NimGame {
   public:
      NimGame(NimPlayer* p1, NimPlayer* p2);
      NimGame(NimPlayer* p1, NimPlayer* p2, const Nim& nim);
      void run();
      const std::string& get_winner() const;
   private:
      NimPlayer* players[2];
      Nim game;
};

#endif
