#ifndef NIM_PLAYER_H
#define NIM_PLAYER_H

#include <string>
#include "Nim.hpp"

class NimPlayer {
   public:
      NimPlayer(const std::string& _name) : name(_name) {
      }
      virtual ~NimPlayer() {}

      // accessors
      const std::string& get_name() const {
	 return name;
      }

      virtual int fetch_move(const Nim& game) const = 0;

   private:
      const std::string name;
};

#endif
